package com.jwipc.order.logic;

import com.jwipc.order.dto.DeliveryOrderControlBaseDTO;
import com.jwipc.order.dto.DeliveryOrderControlSaveDTO;
import com.jwipc.order.entity.DeliveryOrderControl;
import com.jwipc.order.model.query.DeliveryOrderControlQuery;
import com.jwipc.page.PageView;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
public interface DeliveryOrderControlLogic {

    PageView getList(DeliveryOrderControlQuery query);

    void saveOrUpdate(DeliveryOrderControlSaveDTO saveDTO);

    void remove(List<String> idList);

    DeliveryOrderControlBaseDTO getDetail(Long id);

    DeliveryOrderControl getControlNum(String supplierCode, String materialCode);

//    List<DeliveryOrderControlBaseDTO> listAll(DeliveryOrderControlQuery deliveryOrderControlQuery);

}